#ifndef COMTCPB_HPP
#define COMTCPB_HPP

/// This is the base class for the two classes that handle TCP/IP initialization code in the front
/// end, and back end. The reason for this class is to make sure that the common structures are well
/// defined.
class CCommTCPBase
{
public:
    enum
    {
        /// Back ends that detect a conflict at their current IP Address will change the last byte
        /// to this and reboot.
        ceParkedIPAddr = 254,
        ceBasePort = 1040,               ///< port used for TCP comm
        ceDebugPort = 50000,             ///< port used for debug comm
        ceSocketComBasePort = 51000,     ///< base port used for SocketCom
        cePassThruPort = 52000,          ///< port used for TCP-to-Serial pass-thru comm
        ceDataMonitorPort = 54000,       ///< port used for TCP collected data monitor comm
        ceDegasMonitorPort = 54100,      ///< port used for TCP degas monitor comm
        ceSVPDataMonitorPort = 54101,    ///< port used for TCP 067 SVP data monitor comm
        ceChemiTempMonitorPort = 54200,  ///< port used for TCP chemi temp monitor comm
        ceTCDDiagMonitorPort = 54250,    ///< port used for TCP TCD Diagnostic monitor comm
        ceAppDefinedFirstPort = 54300,   ///< Start of port range for application-specified use
        ceAppDefinedLastPort = 54349,    ///< End of port range for application-specified use
    };

    struct SInstrumentIPAddr
    {
        char cModelNumber[4];
        char cSerialNumber[4];
        char cIPAddr[4];
    };
};
#endif  // COMTCPB_HPP
