#ifndef CSTR_FMT_HPP
#define CSTR_FMT_HPP
//-----------------------------------------------------------------------------
/// @file
///
//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <boost/format.hpp>
#include "cstr.hpp"
//-----------------------------------------------------------------------------
// Globals, Constants, Defines, Macros, Forward References
//-----------------------------------------------------------------------------

#if defined(MIC_VCMFC)
using boost_format = boost::wformat;
#else
using boost_format = boost::format;
#endif

inline boost_format Fmt(const _TCHAR* szFmt)
{
    boost_format fmt(szFmt);
    fmt.exceptions(boost::io::no_error_bits);  // Do not allow exceptions.
    return fmt;
}

inline boost_format Fmt(const CStr& szFmt)
{
    return Fmt(szFmt.GetStringPtr());
}
inline boost_format Fmt(int id)
{
    auto szStr = CStr(id);
    return Fmt(szStr.GetStringPtr());
}

//-----------------------------------------------------------------------------
#endif  // CSTR_FMT_HPP
