#ifndef DEBUGC_H
#define DEBUGC_H
//-----------------------------------------------------------------------------
//
// Library:         BaseLib
//
// debugc.h - C-callable trace and test messages for debug monitor */
//-----------------------------------------------------------------------------
#if defined(__cplusplus)
extern "C" {
#endif

extern void TraceMsg( const char* szFmt, ... );
extern void TestMsg(  const char* szFmt, ... );
extern void TraceMsgBool( int bShow, const char* szFmt, ... );
extern void TestMsgBool(  int bShow, const char* szFmt, ... );

#if defined(__cplusplus)
}
#endif

#if defined(_DEBUG)

    #define DEFINE_CMSG(bTrace, bTest)  static  int sd_msg_bTrace = bTrace, sd_msg_bTest = bTest; \
                                        inline bool SuppressWarnMsg__() { return sd_msg_bTrace || sd_msg_bTest; }

    #define TRACE_CMSG                          TraceMsgBool
    #define TRACE_CMSG0( s )                    TRACE_CMSG( sd_msg_bTrace, s )
    #define TRACE_CMSG1( s, a1 )                TRACE_CMSG( sd_msg_bTrace, s, a1 )
    #define TRACE_CMSG2( s, a1, a2 )            TRACE_CMSG( sd_msg_bTrace, s, a1, a2 )
    #define TRACE_CMSG3( s, a1, a2, a3 )        TRACE_CMSG( sd_msg_bTrace, s, a1, a2, a3 )
    #define TRACE_CMSG4( s, a1, a2, a3, a4 )    TRACE_CMSG( sd_msg_bTrace, s, a1, a2, a3, a4 )
    #define TRACE_CMSG5( s, a1, a2, a3, a4, a5 )    TRACE_CMSG( sd_msg_bTrace, s, a1, a2, a3, a4, a5 )
    #define TRACE_CMSG6( s, a1, a2, a3, a4, a5, a6 )    TRACE_CMSG( sd_msg_bTrace, s, a1, a2, a3, a4, a5, a6 )
    #define TRACE_CMSG7( s, a1, a2, a3, a4, a5, a6, a7 )    TRACE_CMSG( sd_msg_bTrace, s, a1, a2, a3, a4, a5, a6, a7 )
    #define TRACE_CMSG8( s, a1, a2, a3, a4, a5, a6, a7, a8 )    TRACE_CMSG( sd_msg_bTrace, s, a1, a2, a3, a4, a5, a6, a7, a8 )

#else
    #define DEFINE_CMSG(bTrace, bTest)

    #define TRACE_CMSG0( s )
    #define TRACE_CMSG1( s, a1 )
    #define TRACE_CMSG2( s, a1, a2 )
    #define TRACE_CMSG3( s, a1, a2, a3 )
    #define TRACE_CMSG4( s, a1, a2, a3, a4 )
    #define TRACE_CMSG5( s, a1, a2, a3, a4, a5 )
    #define TRACE_CMSG6( s, a1, a2, a3, a4, a5, a6 )
    #define TRACE_CMSG7( s, a1, a2, a3, a4, a5, a6, a7 )
    #define TRACE_CMSG8( s, a1, a2, a3, a4, a5, a6, a7, a8 )

#endif

#if defined(_DEBUG) && defined(ENABLE_TEST_MSG)

    #define TEST_CMSG                       TestMsgBool
    #define TEST_CMSG0( s )                 TEST_CMSG( sd_msg_bTest, s )
    #define TEST_CMSG1( s, a1 )             TEST_CMSG( sd_msg_bTest, s, a1 )
    #define TEST_CMSG2( s, a1, a2 )         TEST_CMSG( sd_msg_bTest, s, a1, a2 )
    #define TEST_CMSG3( s, a1, a2, a3 )     TEST_CMSG( sd_msg_bTest, s, a1, a2, a3 )
    #define TEST_CMSG4( s, a1, a2, a3, a4 ) TEST_CMSG( sd_msg_bTest, s, a1, a2, a3, a4 )
    #define TEST_CMSG5( s, a1, a2, a3, a4, a5 ) TEST_CMSG( sd_msg_bTest, s, a1, a2, a3, a4, a5 )
    #define TEST_CMSG6( s, a1, a2, a3, a4, a5, a6 ) TEST_CMSG( sd_msg_bTest, s, a1, a2, a3, a4, a5, a6 )
    #define TEST_CMSG7( s, a1, a2, a3, a4, a5, a6, a7 ) TEST_CMSG( sd_msg_bTest, s, a1, a2, a3, a4, a5, a6, a7 )
    #define TEST_CMSG8( s, a1, a2, a3, a4, a5, a6, a7, a8 ) TEST_CMSG( sd_msg_bTest, s, a1, a2, a3, a4, a5, a6, a7, a8 )

#else

    #define TEST_CMSG0( s )
    #define TEST_CMSG1( s, a1 )
    #define TEST_CMSG2( s, a1, a2 )
    #define TEST_CMSG3( s, a1, a2, a3 )
    #define TEST_CMSG4( s, a1, a2, a3, a4 )
    #define TEST_CMSG5( s, a1, a2, a3, a4, a5 )
    #define TEST_CMSG6( s, a1, a2, a3, a4, a5, a6 )
    #define TEST_CMSG7( s, a1, a2, a3, a4, a5, a6, a7 )
    #define TEST_CMSG8( s, a1, a2, a3, a4, a5, a6, a7, a8 )

#endif

#endif  //   DEBUGC_H
