#ifndef REST_API_HPP
#define REST_API_HPP
//-------------------------------------------------------------------------------------------------
/// @file
/// Methods that are useful for working with a rest api
//-------------------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------------------
#include <string>

//-------------------------------------------------------------------------------------------------
// Globals, Constants, Defines, Macros, Forward References
//-------------------------------------------------------------------------------------------------

namespace NRestAPI
{
    /// Sends (POST) @p pData of size @p uiLen to the @p url using the system curl command.  It waits
    /// for the response (or error) before continuing.
    /// @returns true if the rest server was there.
    bool RestAPICall(const char* url, const void* pData, size_t uiLen);

    std::string RestAPIJson(const char* url);
};

#endif // REST_API_HPP
