#ifndef NUMSPCL_HPP
#define NUMSPCL_HPP
//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Globals, Constants, Defines, Macros, Forward References
//-----------------------------------------------------------------------------
//  M_PI is defined for borland only, make sure it is defined for all targets.
#if !defined(M_PI)
#define M_PI 3.14159265358979323846
#endif
// ============================================================================
/// Special function evaluations (mostly from numerical recipies).
namespace NNumSpecial
{
    /// Compute the natural logarithm of the gamma function
    /// This is good to about 2x10^-10 relative error.
    double gammaln(double x);

    /// Evaluates the incomplete beta function by continued fraction method by
    /// modified Lentz method.
    double betacf(double a, double b, double c);

    /// Calculates the t_{alpha,nu} such that the the probability (based on
    /// Student's t distribution) that t > t_{alpha,nu} is equal to alpha.
    /// This is used in the confidence interval calculations.
    /// Note that since this is a long calculation, it caches the last value of
    /// alpha and nu for MIC_VCMFC targets. (Because caching is not thread safe,
    /// and it will be used on front ends only).
    double StudentT(double alpha, double nu);

};  // namespace NNumSpecial

#endif // NUMSPCL_HPP
