#ifndef QUERYINF_H
#define QUERYINF_H
//-----------------------------------------------------------------------------
//
// Library:			BaseLib
//
//-----------------------------------------------------------------------------
// queryinf.h - query info definitions

#define VERSION_LENGTH 32	// Length of boot block and application versions
#define NUM_BOARD_SLOTS 15	// Number of board slots in controller backplane

//	The initialization state of the application.

enum	EInitState
{
	ceInitInProgress,
	ceInitDone,
	ceInitFailed
};

//	State of the Boot select and Booted flags

enum	EBootType
{
	ceBootBlock = 0,
	ceApplication
};

//	I2C Bus Backplane ID

typedef struct
{
	uint_8	bVersion;
	char	cDateCode[6];
	char	cPartNumber[15];
	char	cRevision[2];
	char	cModelNumber[4];
	char	cSerialNumber[4];
	char	cAppInfo[96];
} BACKPLANEID;

//	I2C Bus Board ID

typedef struct
{
	uint_8	bVersion;
	char	cDateCode[6];
	char	cPartNumber[15];
	char	cRevision[2];
	uint_32	uiBaseAddress;
	uint_8	bBlockSize;
	char	cAppInfo[99];
} BOARDID;

#endif
