#ifndef RSHEADERHELPER_HPP
#define RSHEADERHELPER_HPP
//-------------------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------------------
#include "rsheaderdata.hpp"
#include "rspagedata.hpp"

//-------------------------------------------------------------------------------------------------
// Globals, Constants, Defines, Macros, Forward References
//-------------------------------------------------------------------------------------------------
class CReportPageData;
class CReportDataItemBase;
class CReportModel;

//-------------------------------------------------------------------------------------------------
/// A support class similar to the table helpers CReportStdTable, CReportOptionsTable
///
/// This is useful for the python interface that cannot (or at least I could not) work with the
/// returned pointer from CReportPage::AddHeaderData().
class CReportHeaderHelper final
{
public:
    CReportHeaderHelper(std::shared_ptr<CReportPageData> pReport, size_t uiColumns);

    void SetSimpleItem(size_t uiColumn, const CUnitsStr& cszText);
    void SetSimpleItem(size_t uiColumn, const CStr& cszText);

private:
    CReportHeaderData* m_pHeader;
};

#endif // RSHEADERHELPER_HPP
