#ifndef RSHEADERVIEW_HPP
#define RSHEADERVIEW_HPP
//-------------------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------------------
#include "rsitemview.hpp"
#include "rsheaderdata.hpp"

// ================================================================================================
/// The view for the CReportHeaderData object.
class CReportHeaderView : public TReportDataItemView<CReportHeaderData>
{
public:
    virtual void LinkToBase(CReportDataItemBase* pData) override;
    virtual void OnBaseChanged(unsigned int uiUpdateFlag) override;

    virtual void AutoSize() override;
    virtual void PrintPartial(uint_32 uPageIndex, const CPageInfoVec& cPageInfo) override;
    virtual void DrawItem(const SRect& cLocation) override;

private:
    ///  This will position all the components of this appropriately.  It returns the height of the
    ///  area needed.
    int PositionViews(CReportDisplay& rDisp);

    std::vector<PCReportDataItemView> m_vpItemViews;
};

#endif // RSHEADERVIEW_HPP
