#ifndef RSIMAGEVIEW_HPP
#define RSIMAGEVIEW_HPP
//-------------------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------------------
#include "rsitemview.hpp"
#include "rsimagedata.hpp"

// ================================================================================================
/// The view for CReportImageData.
///
/// Note that some of the functionality is specific to the types of images we support.  Some of the
/// types are platform specific, so this class is also.  If an image type is available for a
/// platform, but that logic is not yet implemented, this class will assert at runtime.
class CReportImageView : public TReportDataItemView<CReportImageData>
{
public:
    virtual ~CReportImageView();

    virtual void OnBaseChanged(unsigned int uiUpdateFlag) override;

    virtual void PrintPartial(uint_32 uPageIndex, const CPageInfoVec& cPageInfo) override;
    virtual void DrawItem(const SRect& cLocation) override;

    ///  This draw the item into the the rectangle provided.
    void Draw(int x1, int y1, int x2, int y2);

private:
    /// True iff the associated metafile is locked by this class.
    bool m_fLocked = false;

    /// The name of the file that was locked.
    CStr m_szLockedFile;
};

#endif // RSIMAGEVIEW_HPP
