#ifndef RSSAVEHARUPDF_HPP
#define RSSAVEHARUPDF_HPP
//-------------------------------------------------------------------------------------------------
/// @file
/// Public interface so saving a report model to a PDF file and Printing the PDF file.
//-------------------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------------------
#include <iosfwd>
#include <utility>

//-------------------------------------------------------------------------------------------------
// Globals, Constants, Defines, Macros, Forward References
//-------------------------------------------------------------------------------------------------
class CStr;
class CReportModel;

// ================================================================================================

namespace NRSSaveAs
{
    /// Send the report as a pdf to the file given by @p cszFilename
    /// @returns an error string if it failed, or an empty string on success.
    CStr ExportHaruPDF(CReportModel& cData, const CStr& cszFilename);

    /// Send the report as a pdf to the printer.
    /// @returns an error string if it failed, or an empty string on success.
    CStr PrintHaruPDF(CReportModel& cData, const CStr& cszPrintCmd);
}  // namespace NRSSaveAs

#endif // RSSAVEHARUPDF_HPP
