#ifndef RSSAVEXLS_HPP
#define RSSAVEXLS_HPP
//-------------------------------------------------------------------------------------------------
/// @file
/// Public interface to saving a report model to xls format.
//-------------------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------------------
#include <utility>

//-------------------------------------------------------------------------------------------------
// Globals, Constants, Defines, Macros, Forward References
//-------------------------------------------------------------------------------------------------
class CStr;
class CReportModel;
class CReportPageData;
class CReportDataItemBase;

// ================================================================================================
namespace NRSSaveAs
{
    class CRSXLSOutput;

    /// Write a single item (@p cData) at @p uiRow into @p rXLS.
    /// @returns the numbers of rows added.
    uint_32 XLSOut(const CReportDataItemBase& cData, CRSXLSOutput& rXLS, uint_32 uiRow);

    /// Write an individual page (@p cData) to the current sheet of @rXLS
    void XLSOut(const CReportPageData& cData, CRSXLSOutput& rXLS);

    /// Create the file @p szFilename and put all the data from @p cData into it in XLS.
    void SaveAsXLS(const CReportModel& cData, const CStr& szFilename);

    /// Send the report as an xlsx to the file given by @p cszFilename.
    /// @returns an error string if it failed, or an empty string on success.
    CStr ExportXLSX(const CReportModel& cData, const CStr& cszFilename);
}

#endif  // RSSAVEXLS_HPP
