#ifndef RSSURFACEVIEW_HPP
#define RSSURFACEVIEW_HPP
#if _MSC_VER > 1000
#pragma once
#endif  // _MSC_VER > 1000
//-------------------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------------------
#include "rssurfacedata.hpp"
#include "rsaxisview.hpp"

// ================================================================================================
class CRSGraphSurfaceView final
{
public:
    CRSGraphSurfaceView(CRSGraphSurfaceData* pData,
        CRSGraphAxisView* pXAxis,
        CRSGraphAxisView* pYAxis,
        CRSGraphAxisView* pDepth);
    CRSGraphSurfaceView(const CRSGraphSurfaceView&) = delete;
    CRSGraphSurfaceView& operator=(const CRSGraphSurfaceView&) = delete;

    ///  Sets the reference points for the axis.
    void SetPlotRange(int iXLow, int iYLow, int iXHigh, int iYHigh);

    ///  Draws the curve items as required by this class.
    void Paint(CReportDisplay& rDisp);

private:
    ///  The plot area to show.
    int m_iPlotXLow = 0;
    int m_iPlotYLow = 0;
    int m_iPlotXHigh = 0;
    int m_iPlotYHigh = 0;

    ///  The data associated with the surface.
    CRSGraphSurfaceData* m_pData;

    ///  The axes associated with the plot.
    CRSGraphAxisView* m_pXAxis;
    CRSGraphAxisView* m_pYAxis;
    CRSGraphAxisView* m_pDepth;

    DECLARE_MSG()
};

#endif  // RSSURFACEVIEW_HPP
