// tskpri.h - DSP643X Task priority and stack size definitions
//
// All application tasks should be assigned priorities based on these values
#include <tsk.h>

#if !defined(MIC_DM643)
#error This file is only supported for dm643 targets.
#endif

//		TSK_MAXPRI			15	//defined in tsk.h
#define TSKPRI_RT_HI		11	//tasks requiring fast realtime response
#define TSKPRI_RT_MED		9	//tasks requiring medium realtime response
#define TSKPRI_RT_LO		7	//tasks requiring low realtime response
#define TSKPRI_USER			4	//user interface tasks
#define TSKPRI_BATCH		2	//batch tasks that don't release control often
//		TSK_MINPRI			1	//defined in tsk.h

#define STACK_DEFAULT		8192	//use this unless you know requirements
