#ifndef DATAPYCNOMETRY_HPP
#define DATAPYCNOMETRY_HPP
//-----------------------------------------------------------------------------
/// @file Common enumerations, constants, and functions
//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <cpp/formattr.hpp>

//-----------------------------------------------------------------------------
// Globals, Constants, Defines, Macros, Forward References
//-----------------------------------------------------------------------------
const CUnits& fcn_UT_AbsPressure();
#define UT_AbsPressure fcn_UT_AbsPressure()
const CUnits& fcn_UT_AbsPressurePSIA();
#define UT_AbsPressurePSIA fcn_UT_AbsPressurePSIA()
const CUnits& fcn_UT_GaugePressurePSIG();
#define UT_GaugePressurePSIG fcn_UT_GaugePressurePSIG()
const CUnits& fcn_UT_PycCycles();
#define UT_PycCycles fcn_UT_PycCycles()
const CUnits& fcn_UT_PycPoints();
#define UT_PycPoints fcn_UT_PycPoints()
const CUnits& fcn_UT_PycThermalExpansion();
#define UT_PycThermalExpansion fcn_UT_PycThermalExpansion()

FORMATTED_DOUBLE(DFoamPycPercent)
FORMATTED_DOUBLE(DPycActiveArea)
FORMATTED_DOUBLE(DPycDensity)
FORMATTED_DOUBLE(DPycEquilRate)
FORMATTED_DOUBLE(DPycFillPressure)
FORMATTED_DOUBLE(DPycInsertVolume)
FORMATTED_DOUBLE(DPycLength)
FORMATTED_DOUBLE(DPycPressureAbs)
FORMATTED_DOUBLE(DPycPressureGauge)
FORMATTED_DOUBLE(DPycRunPrecPercentFullScale)
FORMATTED_DOUBLE(DPycSampleMass)
FORMATTED_DOUBLE(DPycTemperature)
FORMATTED_DOUBLE(DPycTemperature1350)
FORMATTED_DOUBLE(DPycThermalExpansionInsert)
FORMATTED_DOUBLE(DPycThermalExpansionCup)
FORMATTED_DOUBLE(DPycThermalExpansionInstrument)
FORMATTED_DOUBLE(DPycVolume)

FORMATTED_ULONG(UPycEquilTime)

FORMATTED_UNSIGNED(UPycCycle)
FORMATTED_UNSIGNED(UPycEquilDataCycles)
FORMATTED_UNSIGNED(UPycEquilDataPoints)
FORMATTED_UNSIGNED(UPycLEDColor)
FORMATTED_UNSIGNED(UPycNumCycles)
FORMATTED_UNSIGNED(UPycNumPurges)
FORMATTED_UNSIGNED(UPycNumberOfPieces)
FORMATTED_UNSIGNED(UPycNumberOfSkins)
FORMATTED_UNSIGNED(UPycNumberOfSkinsCube)

namespace NPyc
{
    enum EComputeVolume : uint_16
    {
        ceComputed,
        ceUserEntered
    };

    enum EShape : uint_16
    {
        ceCube,
        ceCylinder,
        ceRectangular
    };

    enum EMeasureBy : uint_16
    {
        ceChordLength,
        ceCellDiameter
    };
}  // namespace NPyc

#endif
