"""The django application config for mic_python_lib"""
from django.apps import AppConfig
from django.db.utils import OperationalError
from django.db import IntegrityError


class MicPythonLibConfig(AppConfig):
    '''Set name attribute in metadata for django app'''
    name = 'mic_python_lib'

    def ready(self):
        # cannot import at top level, just after django initialization.
        from . import log_query  # pylint: disable=import-outside-toplevel

        # Just rebooted, so eliminate any active modal dialogs. If the
        # table does not exist yet, then don't do anything.
        try:
            log_query.delete_modal()
        except OperationalError:
            pass

        # create the service user for the password protected page
        from django.contrib.auth.models import User  # pylint: disable=import-outside-toplevel
        try:
            User.objects.create_user("service", password="107.104.103", is_active=False)
        except (IntegrityError, OperationalError):
            pass
