"The json encoder that handles serializing mic-python-lib objects for mic-react-lib"
import datetime
from django.core.serializers.json import DjangoJSONEncoder


class MicJSONEncoder(DjangoJSONEncoder):
    'Serialize data in formats expected by mic-react-lib'

    def default(self, obj):  # pylint: disable=arguments-differ,method-hidden
        if isinstance(obj, datetime.datetime):
            return obj.isoformat()
        return super().default(obj)
