"The list of default methods for the 1350 of various configurations."
import datetime
import pytz

DEFAULT_1CM3_METHODS = [{
    'active_area': 1.0,
    'cell_diameter': 1.0,
    'chord_length': 1.0,
    'compute_volume': 'C',
    'cube_edge_length': 1.0,
    'cube_number_of_skins': 1,
    'cup_id': None,
    'cycle_fill_pressure': 19.5,
    'cyl_number_of_skins': 0,
    'cylinder_diameter': 1.0,
    'cylinder_length': 1.0,
    'do_pre_purges': True,
    'endby': 'E',
    'equilibration_rate': 0.005,
    'fill_direction': 'R',
    'final_pressure': 19.5,
    'fracture_pressure': 19.5,
    'geometric_volume': 1.0,
    'initial_pressure': 19.5,
    'insert_id': None,
    'interval_time': 20,
    'is_default': True,
    'is_method': True,
    'is_shared': False,
    'last_updated': datetime.datetime(2020, 1, 1, 6, 0, 0, 0, tzinfo=pytz.UTC),
    'low_pressure': 19.5,
    'measure_by': 'L',
    'name': 'Skeletal Density',
    'num_cycles': 10,
    'num_purges': 20,
    'number_of_pieces': 1,
    'p1_equilibration_cycles': 10,
    'p1_equilibration_points': 500,
    'p1_record_equilibration_data': False,
    'p2_equilibration_cycles': 10,
    'p2_equilibration_points': 500,
    'p2_record_equilibration_data': False,
    'pressure_increment': 19.5,
    'purge_fill_pressure': 19.5,
    'rect_long_edge': 1.0,
    'rect_number_of_large_skins': 0,
    'rect_number_of_other_skins': 0,
    'rect_number_of_small_skins': 0,
    'rect_other_edge': 1.0,
    'rect_short_edge': 1.0,
    'resin_density': 1.0,
    'run_precision_tolerance': 0.05,
    'shape': 'U',
    'technique': 'P',
    'temperature': 20.0,
    'use_run_precision': False,
    'use_vacuum_prep': False,
}]
DEFAULT_100CM3_METHODS = [
    {
        'active_area': 1.0,
        'cell_diameter': 1.0,
        'chord_length': 2.0,
        'compute_volume': 'C',
        'cube_edge_length': 2.5,
        'cube_number_of_skins': 3,
        'cup_id': None,
        'cycle_fill_pressure': 3.0,
        'cyl_number_of_skins': 0,
        'cylinder_diameter': 1.0,
        'cylinder_length': 1.0,
        'do_pre_purges': True,
        'endby': 'F',
        'equilibration_rate': 0.005,
        'fill_direction': 'S',
        'final_pressure': 19.5,
        'fracture_pressure': 19.5,
        'geometric_volume': 5.0,
        'initial_pressure': 19.5,
        'insert_id': None,
        'interval_time': 15,
        'is_default': False,
        'is_method': True,
        'is_shared': False,
        'last_updated': datetime.datetime(2020, 1, 1, 6, 0, 0, 0, tzinfo=pytz.UTC),
        'low_pressure': 10.0,
        'measure_by': 'L',
        'name': 'Foam - Cell Fracture Test',
        'num_cycles': 3,
        'num_purges': 3,
        'number_of_pieces': 2,
        'p1_equilibration_cycles': 10,
        'p1_equilibration_points': 500,
        'p1_record_equilibration_data': False,
        'p2_equilibration_cycles': 10,
        'p2_equilibration_points': 500,
        'p2_record_equilibration_data': False,
        'pressure_increment': 19.5,
        'purge_fill_pressure': 3.0,
        'rect_long_edge': 1.0,
        'rect_number_of_large_skins': 0,
        'rect_number_of_other_skins': 0,
        'rect_number_of_small_skins': 0,
        'rect_other_edge': 1.0,
        'rect_short_edge': 1.0,
        'resin_density': 1.0,
        'run_precision_tolerance': 0.05,
        'shape': 'U',
        'technique': 'E',
        'temperature': 20.0,
        'use_run_precision': False,
        'use_vacuum_prep': False,
    },
    {
        'active_area': 1.0,
        'cell_diameter': 1.0,
        'chord_length': 2.0,
        'compute_volume': 'C',
        'cube_edge_length': 2.5,
        'cube_number_of_skins': 3,
        'cup_id': None,
        'cycle_fill_pressure': 3.0,
        'cyl_number_of_skins': 0,
        'cylinder_diameter': 1.0,
        'cylinder_length': 1.0,
        'do_pre_purges': True,
        'endby': 'F',
        'equilibration_rate': 0.005,
        'fill_direction': 'S',
        'final_pressure': 19.0,
        'fracture_pressure': 19.5,
        'geometric_volume': 5.0,
        'initial_pressure': 1.0,
        'insert_id': None,
        'interval_time': 15,
        'is_default': False,
        'is_method': True,
        'is_shared': False,
        'last_updated': datetime.datetime(2020, 1, 1, 6, 0, 0, 0, tzinfo=pytz.UTC),
        'low_pressure': 19.5,
        'measure_by': 'L',
        'name': 'Foam - Compressibility Test',
        'num_cycles': 3,
        'num_purges': 3,
        'number_of_pieces': 2,
        'p1_equilibration_cycles': 10,
        'p1_equilibration_points': 500,
        'p1_record_equilibration_data': False,
        'p2_equilibration_cycles': 10,
        'p2_equilibration_points': 500,
        'p2_record_equilibration_data': False,
        'pressure_increment': 1.0,
        'purge_fill_pressure': 3.0,
        'rect_long_edge': 1.0,
        'rect_number_of_large_skins': 0,
        'rect_number_of_other_skins': 0,
        'rect_number_of_small_skins': 0,
        'rect_other_edge': 1.0,
        'rect_short_edge': 1.0,
        'resin_density': 1.0,
        'run_precision_tolerance': 0.05,
        'shape': 'U',
        'technique': 'D',
        'temperature': 20.0,
        'use_run_precision': False,
        'use_vacuum_prep': False,
    },
    {
        'active_area': 1.0,
        'cell_diameter': 1.0,
        'chord_length': 2.0,
        'compute_volume': 'C',
        'cube_edge_length': 2.5,
        'cube_number_of_skins': 3,
        'cup_id': None,
        'cycle_fill_pressure': 3.0,
        'cyl_number_of_skins': 0,
        'cylinder_diameter': 1.0,
        'cylinder_length': 1.0,
        'do_pre_purges': True,
        'endby': 'F',
        'equilibration_rate': 0.005,
        'fill_direction': 'S',
        'final_pressure': 19.5,
        'fracture_pressure': 19.5,
        'geometric_volume': 5.0,
        'initial_pressure': 19.5,
        'insert_id': None,
        'interval_time': 15,
        'is_default': False,
        'is_method': True,
        'is_shared': False,
        'last_updated': datetime.datetime(2020, 1, 1, 6, 0, 0, 0, tzinfo=pytz.UTC),
        'low_pressure': 19.5,
        'measure_by': 'L',
        'name': 'Foam - Correction by Recutting',
        'num_cycles': 3,
        'num_purges': 3,
        'number_of_pieces': 2,
        'p1_equilibration_cycles': 10,
        'p1_equilibration_points': 500,
        'p1_record_equilibration_data': False,
        'p2_equilibration_cycles': 10,
        'p2_equilibration_points': 500,
        'p2_record_equilibration_data': False,
        'pressure_increment': 19.5,
        'purge_fill_pressure': 3.0,
        'rect_long_edge': 1.0,
        'rect_number_of_large_skins': 0,
        'rect_number_of_other_skins': 0,
        'rect_number_of_small_skins': 0,
        'rect_other_edge': 1.0,
        'rect_short_edge': 1.0,
        'resin_density': 1.0,
        'run_precision_tolerance': 0.05,
        'shape': 'U',
        'technique': 'B',
        'temperature': 20.0,
        'use_run_precision': False,
        'use_vacuum_prep': False,
    },
    {
        'active_area': 1.0,
        'cell_diameter': 0.1,
        'chord_length': 2.0,
        'compute_volume': 'C',
        'cube_edge_length': 2.5,
        'cube_number_of_skins': 1,
        'cup_id': None,
        'cycle_fill_pressure': 3.0,
        'cyl_number_of_skins': 0,
        'cylinder_diameter': 1.0,
        'cylinder_length': 1.0,
        'do_pre_purges': True,
        'endby': 'F',
        'equilibration_rate': 0.005,
        'fill_direction': 'S',
        'final_pressure': 19.5,
        'fracture_pressure': 19.5,
        'geometric_volume': 5.0,
        'initial_pressure': 19.5,
        'insert_id': None,
        'interval_time': 15,
        'is_default': False,
        'is_method': True,
        'is_shared': False,
        'last_updated': datetime.datetime(2020, 1, 1, 6, 0, 0, 0, tzinfo=pytz.UTC),
        'low_pressure': 19.5,
        'measure_by': 'D',
        'name': 'Foam - Correction using Cell Dimensions',
        'num_cycles': 3,
        'num_purges': 3,
        'number_of_pieces': 2,
        'p1_equilibration_cycles': 10,
        'p1_equilibration_points': 500,
        'p1_record_equilibration_data': False,
        'p2_equilibration_cycles': 10,
        'p2_equilibration_points': 500,
        'p2_record_equilibration_data': False,
        'pressure_increment': 19.5,
        'purge_fill_pressure': 3.0,
        'rect_long_edge': 1.0,
        'rect_number_of_large_skins': 0,
        'rect_number_of_other_skins': 0,
        'rect_number_of_small_skins': 0,
        'rect_other_edge': 1.0,
        'rect_short_edge': 1.0,
        'resin_density': 1.0,
        'run_precision_tolerance': 0.05,
        'shape': 'U',
        'technique': 'A',
        'temperature': 20.0,
        'use_run_precision': False,
        'use_vacuum_prep': False,
    },
    {
        'active_area': 1.0,
        'cell_diameter': 1.0,
        'chord_length': 2.0,
        'compute_volume': 'C',
        'cube_edge_length': 2.5,
        'cube_number_of_skins': 3,
        'cup_id': None,
        'cycle_fill_pressure': 3.0,
        'cyl_number_of_skins': 0,
        'cylinder_diameter': 1.0,
        'cylinder_length': 1.0,
        'do_pre_purges': True,
        'endby': 'F',
        'equilibration_rate': 0.005,
        'fill_direction': 'S',
        'final_pressure': 19.5,
        'fracture_pressure': 19.5,
        'geometric_volume': 5.0,
        'initial_pressure': 19.5,
        'insert_id': None,
        'interval_time': 15,
        'is_default': False,
        'is_method': True,
        'is_shared': False,
        'last_updated': datetime.datetime(2020, 1, 1, 6, 0, 0, 0, tzinfo=pytz.UTC),
        'low_pressure': 19.5,
        'measure_by': 'L',
        'name': 'Foam - No Correction',
        'num_cycles': 3,
        'num_purges': 3,
        'number_of_pieces': 2,
        'p1_equilibration_cycles': 10,
        'p1_equilibration_points': 500,
        'p1_record_equilibration_data': False,
        'p2_equilibration_cycles': 10,
        'p2_equilibration_points': 500,
        'p2_record_equilibration_data': False,
        'pressure_increment': 19.5,
        'purge_fill_pressure': 3.0,
        'rect_long_edge': 1.0,
        'rect_number_of_large_skins': 0,
        'rect_number_of_other_skins': 0,
        'rect_number_of_small_skins': 0,
        'rect_other_edge': 1.0,
        'rect_short_edge': 1.0,
        'resin_density': 1.0,
        'run_precision_tolerance': 0.05,
        'shape': 'U',
        'technique': 'C',
        'temperature': 20.0,
        'use_run_precision': False,
        'use_vacuum_prep': False,
    },
    {
        'active_area': 1.0,
        'cell_diameter': 1.0,
        'chord_length': 2.0,
        'compute_volume': 'E',
        'cube_edge_length': 1.0,
        'cube_number_of_skins': 3,
        'cup_id': None,
        'cycle_fill_pressure': 19.5,
        'cyl_number_of_skins': 0,
        'cylinder_diameter': 1.0,
        'cylinder_length': 1.0,
        'do_pre_purges': True,
        'endby': 'E',
        'equilibration_rate': 0.005,
        'fill_direction': 'R',
        'final_pressure': 19.5,
        'fracture_pressure': 19.5,
        'geometric_volume': 5.0,
        'initial_pressure': 19.5,
        'insert_id': None,
        'interval_time': 10,
        'is_default': False,
        'is_method': True,
        'is_shared': False,
        'last_updated': datetime.datetime(2020, 1, 1, 6, 0, 0, 0, tzinfo=pytz.UTC),
        'low_pressure': 19.5,
        'measure_by': 'L',
        'name': 'Skeletal Density - Reference Fill',
        'num_cycles': 10,
        'num_purges': 20,
        'number_of_pieces': 1,
        'p1_equilibration_cycles': 10,
        'p1_equilibration_points': 500,
        'p1_record_equilibration_data': False,
        'p2_equilibration_cycles': 10,
        'p2_equilibration_points': 500,
        'p2_record_equilibration_data': False,
        'pressure_increment': 19.5,
        'purge_fill_pressure': 19.5,
        'rect_long_edge': 1.0,
        'rect_number_of_large_skins': 0,
        'rect_number_of_other_skins': 0,
        'rect_number_of_small_skins': 0,
        'rect_other_edge': 1.0,
        'rect_short_edge': 1.0,
        'resin_density': 1.5,
        'run_precision_tolerance': 0.05,
        'shape': 'Y',
        'technique': 'P',
        'temperature': 20.0,
        'use_run_precision': False,
        'use_vacuum_prep': False,
    },
    {
        'active_area': 1.0,
        'cell_diameter': 1.0,
        'chord_length': 2.0,
        'compute_volume': 'E',
        'cube_edge_length': 1.0,
        'cube_number_of_skins': 3,
        'cup_id': None,
        'cycle_fill_pressure': 19.5,
        'cyl_number_of_skins': 0,
        'cylinder_diameter': 1.0,
        'cylinder_length': 1.0,
        'do_pre_purges': True,
        'endby': 'E',
        'equilibration_rate': 0.005,
        'fill_direction': 'S',
        'final_pressure': 19.5,
        'fracture_pressure': 19.5,
        'geometric_volume': 5.0,
        'initial_pressure': 19.5,
        'insert_id': None,
        'interval_time': 10,
        'is_default': True,
        'is_method': True,
        'is_shared': False,
        'last_updated': datetime.datetime(2020, 1, 1, 6, 0, 0, 0, tzinfo=pytz.UTC),
        'low_pressure': 19.5,
        'measure_by': 'L',
        'name': 'Skeletal Density - Sample Fill',
        'num_cycles': 10,
        'num_purges': 20,
        'number_of_pieces': 1,
        'p1_equilibration_cycles': 10,
        'p1_equilibration_points': 500,
        'p1_record_equilibration_data': False,
        'p2_equilibration_cycles': 10,
        'p2_equilibration_points': 500,
        'p2_record_equilibration_data': False,
        'pressure_increment': 19.5,
        'purge_fill_pressure': 19.5,
        'rect_long_edge': 1.0,
        'rect_number_of_large_skins': 0,
        'rect_number_of_other_skins': 0,
        'rect_number_of_small_skins': 0,
        'rect_other_edge': 1.0,
        'rect_short_edge': 1.0,
        'resin_density': 1.5,
        'run_precision_tolerance': 0.05,
        'shape': 'Y',
        'technique': 'P',
        'temperature': 20.0,
        'use_run_precision': False,
        'use_vacuum_prep': False,
    },
]
DEFAULT_10CM3_METHODS = DEFAULT_100CM3_METHODS.copy()
DEFAULT_10CM3_METHODS.append({
    'active_area': 1.0,
    'cell_diameter': 1.0,
    'chord_length': 2.0,
    'compute_volume': 'E',
    'cube_edge_length': 1.0,
    'cube_number_of_skins': 3,
    'cup_id': None,
    'cycle_fill_pressure': 2.0,
    'cyl_number_of_skins': 0,
    'cylinder_diameter': 1.0,
    'cylinder_length': 1.0,
    'do_pre_purges': True,
    'endby': 'E',
    'equilibration_rate': 0.05,
    'fill_direction': 'S',
    'final_pressure': 19.5,
    'fracture_pressure': 19.5,
    'geometric_volume': 5.0,
    'initial_pressure': 19.5,
    'insert_id': None,
    'interval_time': 10,
    'is_default': False,
    'is_method': True,
    'is_shared': False,
    'last_updated': datetime.datetime(2020, 1, 1, 6, 0, 0, 0, tzinfo=pytz.UTC),
    'low_pressure': 19.5,
    'measure_by': 'L',
    'name': 'Expancel',
    'num_cycles': 2,
    'num_purges': 3,
    'number_of_pieces': 1,
    'p1_equilibration_cycles': 10,
    'p1_equilibration_points': 500,
    'p1_record_equilibration_data': False,
    'p2_equilibration_cycles': 10,
    'p2_equilibration_points': 500,
    'p2_record_equilibration_data': False,
    'pressure_increment': 19.5,
    'purge_fill_pressure': 2.0,
    'rect_long_edge': 1.0,
    'rect_number_of_large_skins': 0,
    'rect_number_of_other_skins': 0,
    'rect_number_of_small_skins': 0,
    'rect_other_edge': 1.0,
    'rect_short_edge': 1.0,
    'resin_density': 1.5,
    'run_precision_tolerance': 0.05,
    'shape': 'Y',
    'technique': 'P',
    'temperature': 20.0,
    'use_run_precision': False,
    'use_vacuum_prep': False,
})
