# Generated by Django 3.0.5 on 2020-12-21 14:25

from django.db import migrations, models
import mic_python_lib.rest_input
from mic_cpp import pycnometry


def create_example_data(apps, schema_editor):
    # We can't import the Person model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    AnalysisCondition1350 = apps.get_model('pyc_sample', 'AnalysisCondition1350')
    anlcond = AnalysisCondition1350()
    anlcond.name = 'Example'
    anlcond.method = 'P'
    anlcond.mass = 1.234
    anlcond.save()


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name='AnalysisCondition1350',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                ('name', models.CharField(max_length=32)),
                (
                    'method',
                    models.CharField(
                        choices=[('P', 'Gas Pycnometry'), ('D', 'FoamPyc- Dimensions Correction'),
                                 ('R', 'FoamPyc- Recutting Correction'),
                                 ('N', 'FoamPyc- No Correction'), ('C', 'FoamPyc- Compressibility'),
                                 ('F', 'FoamPyc- Cell Fracture')],
                        max_length=1
                    )
                ),
                ('mass', mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycSampleMass)),
            ],
            options={
                'ordering': ['name', 'method', 'mass'],
            },
        ),
        migrations.RunPython(create_example_data),
    ]
