# Generated by Django 3.0.5 on 2021-03-25 11:15

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnalysisParameters',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                ('name', models.CharField(max_length=64)),
                ('is_sop', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='AnalysisResult',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                (
                    'state',
                    models.CharField(
                        choices=[('P', 'In Process'), ('C', 'Completed'), ('X', 'Canceled'),
                                 ('E', 'Error')],
                        default='P',
                        max_length=1
                    )
                ),
                ('start_time', models.DateTimeField(default=django.utils.timezone.now)),
                ('mass', models.FloatField()),
                ('name', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Expansion',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                ('num', models.IntegerField()),
                ('times', models.BinaryField()),
                ('p0s', models.BinaryField()),
                ('p1s', models.BinaryField()),
                ('p2s', models.BinaryField()),
                ('excludes', models.BinaryField()),
                ('tempeatures', models.BinaryField()),
            ],
        ),
        migrations.CreateModel(
            name='Insert',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                ('name', models.CharField(max_length=8)),
                ('volume', models.FloatField()),
                ('temperature', models.FloatField()),
                ('thermal_expansion', models.FloatField(default=0.0)),
                (
                    'kind',
                    models.CharField(
                        choices=[('I', 'Insert'), ('R', 'Reference Ball'), ('C', 'Cup')],
                        max_length=1
                    )
                ),
            ],
        ),
        migrations.CreateModel(
            name='Instrument',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                ('model', models.CharField(default='1350', max_length=4)),
                ('serial', models.CharField(max_length=8)),
                ('is_local', models.BooleanField(default=False)),
                (
                    'kind',
                    models.CharField(
                        choices=[('1', '1cm³'), ('T', '10cm³'), ('H', '100cm³')], max_length=1
                    )
                ),
                ('thermal_expansion', models.FloatField(default=0.0)),
            ],
        ),
        migrations.CreateModel(
            name='Equilibration',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                ('cycle', models.IntegerField()),
                ('which', models.CharField(choices=[('1', 'P1'), ('2', 'P2')], max_length=1)),
                ('num_points', models.IntegerField()),
                ('times', models.BinaryField()),
                ('pressures', models.BinaryField()),
                (
                    'analysis',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.AnalysisResult'
                    )
                ),
            ],
        ),
        migrations.CreateModel(
            name='Calibration',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                (
                    'state',
                    models.CharField(
                        choices=[('P', 'In Process'), ('C', 'Completed'), ('X', 'Canceled'),
                                 ('E', 'Error')],
                        default='P',
                        max_length=1
                    )
                ),
                ('start_time', models.DateTimeField(default=django.utils.timezone.now)),
                (
                    'kind',
                    models.CharField(choices=[('C', 'Calibration'), ('H', 'Check')], max_length=1)
                ),
                ('fill_pressure', models.FloatField()),
                ('volume_fs_sample', models.FloatField(null=True)),
                ('volume_fs_reference', models.FloatField(null=True)),
                ('volume_fr_sample', models.FloatField(null=True)),
                ('volume_fr_reference', models.FloatField(null=True)),
                ('temperature', models.FloatField(null=True)),
                (
                    'expansion_fr_empty',
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='analysis_fr_empty',
                        to='pyc_sample.Expansion'
                    )
                ),
                (
                    'expansion_fr_ref',
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='analysis_fr_ref',
                        to='pyc_sample.Expansion'
                    )
                ),
                (
                    'expansion_fs_empty',
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='analysis_fs_empty',
                        to='pyc_sample.Expansion'
                    )
                ),
                (
                    'expansion_fs_ref',
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='analysis_fs_ref',
                        to='pyc_sample.Expansion'
                    )
                ),
                (
                    'instrument',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.Instrument'
                    )
                ),
                (
                    'ref_ball',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.Insert'
                    )
                ),
            ],
        ),
        migrations.AddField(
            model_name='analysisresult',
            name='calibration',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.Calibration'
            ),
        ),
        migrations.AddField(
            model_name='analysisresult',
            name='expansion',
            field=models.OneToOneField(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='analysis',
                to='pyc_sample.Expansion'
            ),
        ),
        migrations.AddField(
            model_name='analysisresult',
            name='expansion_repeat',
            field=models.OneToOneField(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='analysis_repeat',
                to='pyc_sample.Expansion'
            ),
        ),
        migrations.AddField(
            model_name='analysisresult',
            name='instrument',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.Instrument'
            ),
        ),
        migrations.AddField(
            model_name='analysisresult',
            name='parameters',
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.AnalysisParameters'
            ),
        ),
    ]
