# Generated by Django 3.0.5 on 2021-07-02 12:56

from django.db import migrations, models
import django.db.models.deletion
import mic_python_lib.rest_input
from mic_cpp import pycnometry
from mic_cpp import pycnometry


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0015_instrument_last_sop'),
    ]

    operations = [
        migrations.AddField(
            model_name='analysisparameters',
            name='cycle_fill_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycPressureGauge),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='endby',
            field=models.CharField(
                choices=[('E', 'Rate'), ('F', 'Time')], default='E', max_length=1
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='equilibration_rate',
            field=mic_python_lib.rest_input.UnitsFloatField(
                blank=True, fmt=pycnometry.DPycEquilRate, null=True
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='fill_direction',
            field=models.CharField(
                choices=[('S', 'Sample Chamber'), ('R', 'Reference Chamber')],
                default='S',
                max_length=1
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='insert',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to='pyc_sample.Insert'
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='interval_time',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=pycnometry.UPycEquilTime, null=True
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='num_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=pycnometry.UPycCycle),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='num_purges',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=pycnometry.UPycNumPurges),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='p1_equilibration_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=pycnometry.UPycEquilDataCycles, null=True
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='p1_equilibration_points',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=pycnometry.UPycEquilDataPoints, null=True
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='p1_record_equilibration_data',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='p2_equilibration_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=pycnometry.UPycEquilDataCycles, null=True
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='p2_equilibration_points',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=pycnometry.UPycEquilDataPoints, null=True
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='p2_record_equilibration_data',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='purge_fill_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycPressureGauge),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='run_precision_tolerance',
            field=mic_python_lib.rest_input.UnitsFloatField(
                blank=True, fmt=pycnometry.DPycRunPrecPercentFullScale, null=True
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='use_run_precision',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='insert',
            name='active',
            field=models.BooleanField(default=True),
        ),
        migrations.AlterField(
            model_name='analysisresult',
            name='mass',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycSampleMass),
        ),
    ]
