# Generated by Django 3.0.5 on 2021-08-04 16:45

import datetime
from django.db import migrations, models
import django.db.models.deletion
import mic_python_lib.rest_input
from mic_cpp import pycnometry


class Migration(migrations.Migration):

    replaces = [('pyc_sample', '0018_auto_20210730_1253'),
                ('pyc_sample', '0019_auto_20210802_1254'),
                ('pyc_sample', '0020_auto_20210802_1453')]

    dependencies = [
        ('mic_python_lib', '0005_add_generic_settings'),
        ('pyc_sample', '0017_add_calibration_pressure_units'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='instrument',
            name='thermal_expansion',
        ),
        migrations.AddField(
            model_name='instrument',
            name='thermal_expansion_um_per_mk',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycThermalExpansionInstrument
            ),
        ),
        migrations.CreateModel(
            name='Settings',
            fields=[
                (
                    'settings_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to='mic_python_lib.Settings'
                    )
                ),
                ('display_id', models.BooleanField(default=True)),
                ('display_sop', models.BooleanField(default=True)),
                ('display_wizard', models.BooleanField(default=True)),
            ],
            bases=('mic_python_lib.settings',),
        ),
        migrations.AddField(
            model_name='instrument',
            name='device_service',
            field=models.DateField(default=datetime.date.today),
        ),
        migrations.AddField(
            model_name='instrument',
            name='device_warranty',
            field=models.DateField(default=datetime.date.today),
        ),
        migrations.AddField(
            model_name='instrument',
            name='is_temp_control',
            field=models.BooleanField(default=False),
        ),
    ]
