# Generated by Django 3.0.5 on 2021-08-23 20:13

from django.db import migrations, models
import django.db.models.deletion
import mic_python_lib.rest_input
from mic_cpp import pycnometry


def create_defaults(apps, schema_editor):
    Gas = apps.get_model('pyc_sample', 'Gas')
    AnalysisParameters = apps.get_model('pyc_sample', 'AnalysisParameters')
    Gas.objects.update_or_create(id=1, name='Helium')
    Gas.objects.update_or_create(id=2, name='Nitrogen')
    Gas.objects.update_or_create(id=3, name='Argon')
    AnalysisParameters.objects.all().update(gas=Gas.objects.get(id=1))


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0021_lower_max_mass_value'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='instrument',
            name='last_sop',
        ),
        migrations.RenameField(
            model_name='analysisparameters',
            old_name='is_sop',
            new_name='is_method',
        ),
        migrations.RenameField(
            model_name='settings',
            old_name='display_sop',
            new_name='display_method',
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='is_default',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='temperature',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycTemperature1350),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='final_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycPressureGauge),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='fracture_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycPressureGauge),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='initial_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycPressureGauge),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='low_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycPressureGauge),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='pressure_increment',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycPressureGauge),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='technique',
            field=models.CharField(
                choices=[('P', 'Gas Pycnometry'), ('D', 'FoamPyc- Dimensions Correction'),
                         ('R', 'FoamPyc- Recutting Correction'), ('N', 'FoamPyc- No Correction'),
                         ('C', 'FoamPyc- Compressibility'), ('F', 'FoamPyc- Cell Fracture')],
                default='P',
                max_length=1
            ),
        ),
        migrations.CreateModel(
            name='Gas',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                ('name', models.CharField(max_length=8)),
            ],
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='gas',
            field=models.ForeignKey(
                null=True, on_delete=django.db.models.deletion.SET_NULL, to='pyc_sample.Gas'
            ),
        ),
        migrations.RunPython(create_defaults),
        migrations.AlterField(
            model_name='analysisparameters',
            name='gas',
            field=models.ForeignKey(
                default=1, on_delete=django.db.models.deletion.PROTECT, to='pyc_sample.Gas'
            ),
            preserve_default=False,
        ),
    ]
