# Generated by Django 3.0.5 on 2021-10-05 16:53

from django.db import migrations, models
import mic_python_lib.rest_input
from mic_cpp import pycnometry


class Migration(migrations.Migration):

    replaces = [('pyc_sample', '0027_foam_pyc_geometry_squashed_0028_rename_foampyc_technique'),
                ('pyc_sample', '0028_analysisparameters_resin_density')]

    dependencies = [
        ('pyc_sample', '0026_add_otheroperation_table'),
    ]

    operations = [
        migrations.AddField(
            model_name='analysisparameters',
            name='active_area',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycActiveArea),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='cell_diameter',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycLength),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='chord_length',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycLength),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='compute_volume',
            field=models.CharField(
                choices=[('C', 'Computed'), ('E', 'Entered')], default='C', max_length=1
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='cube_edge_length',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycLength),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='cube_number_of_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=pycnometry.UPycNumberOfSkinsCube),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='cyl_number_of_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=pycnometry.UPycNumberOfSkins),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='cylinder_diameter',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycLength),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='cylinder_length',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycLength),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='geometric_volume',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycVolume),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='measure_by',
            field=models.CharField(
                choices=[('L', 'Chord Length'), ('D', 'Cell Diameter')], default='L', max_length=1
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='number_of_pieces',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=pycnometry.UPycNumberOfPieces),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='rect_long_edge',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycLength),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='rect_number_of_large_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=pycnometry.UPycNumberOfSkins),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='rect_number_of_other_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=pycnometry.UPycNumberOfSkins),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='rect_number_of_small_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=pycnometry.UPycNumberOfSkins),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='rect_other_edge',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycLength),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='rect_short_edge',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycLength),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='shape',
            field=models.CharField(
                choices=[('U', 'Cube'), ('Y', 'Cylinder'), ('R', 'Rectangular')],
                default='U',
                max_length=1
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='technique',
            field=models.CharField(
                choices=[('P', 'Gas pycnometry'), ('A', 'Correction using cell dimensions'),
                         ('B', 'Correction by recutting sample'), ('C', 'No Correction'),
                         ('D', 'Compressibility test'), ('E', 'Cell fracture test')],
                default='P',
                max_length=1
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='resin_density',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=pycnometry.DPycDensity),
        ),
    ]
