# Generated by Django 3.0.5 on 2021-10-12 17:42

from django.db import migrations, models
import django.db.models.deletion
import mic_python_lib.rest_input
from mic_cpp import pycnometry


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0027_foam_pyc_caluculation_parameters'),
    ]

    operations = [
        migrations.AlterField(
            model_name='analysisparameters',
            name='cycle_fill_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycPressureGauge, verbose_name='Cycle Fill Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='endby',
            field=models.CharField(
                choices=[('E', 'Rate'), ('F', 'Time')],
                default='E',
                max_length=1,
                verbose_name='End By'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='equilibration_rate',
            field=mic_python_lib.rest_input.UnitsFloatField(
                blank=True, fmt=pycnometry.DPycEquilRate, null=True, verbose_name='Rate'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='fill_direction',
            field=models.CharField(
                choices=[('S', 'Sample Chamber'), ('R', 'Reference Chamber')],
                default='S',
                max_length=1,
                verbose_name='Fill Direction'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='final_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycPressureGauge, verbose_name='Final Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='fracture_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycPressureGauge, verbose_name='Fracture Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='gas',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                to='pyc_sample.Gas',
                verbose_name='Gas'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='initial_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycPressureGauge, verbose_name='Initial Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='insert',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to='pyc_sample.Insert',
                verbose_name='Insert'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='interval_time',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=pycnometry.UPycEquilTime, null=True, verbose_name='Interval'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='low_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycPressureGauge, verbose_name='Low Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='name',
            field=models.CharField(max_length=64, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='num_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                fmt=pycnometry.UPycCycle, verbose_name='Cycles'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='num_purges',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                fmt=pycnometry.UPycNumPurges, verbose_name='Purges'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p1_equilibration_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True,
                fmt=pycnometry.UPycEquilDataCycles,
                null=True,
                verbose_name='Record First'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p1_equilibration_points',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True,
                fmt=pycnometry.UPycEquilDataPoints,
                null=True,
                verbose_name='Record Last'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p1_record_equilibration_data',
            field=models.BooleanField(default=False, verbose_name='Record P1 Equilibration Data'),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p2_equilibration_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True,
                fmt=pycnometry.UPycEquilDataCycles,
                null=True,
                verbose_name='Record First'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p2_equilibration_points',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True,
                fmt=pycnometry.UPycEquilDataPoints,
                null=True,
                verbose_name='Record Last'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p2_record_equilibration_data',
            field=models.BooleanField(default=False, verbose_name='Record P2 Equilibration Data'),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='pressure_increment',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycPressureGauge, verbose_name='Pressure Increment'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='purge_fill_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycPressureGauge, verbose_name='Purge Fill Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='resin_density',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycDensity, verbose_name='Resin Density'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='run_precision_tolerance',
            field=mic_python_lib.rest_input.UnitsFloatField(
                blank=True,
                fmt=pycnometry.DPycRunPrecPercentFullScale,
                null=True,
                verbose_name='Percent Full Scale'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='technique',
            field=models.CharField(
                choices=[('P', 'Gas pycnometry'), ('A', 'Correction using cell dimensions'),
                         ('B', 'Correction by recutting sample'), ('C', 'No Correction'),
                         ('D', 'Compressibility test'), ('E', 'Cell fracture test')],
                default='P',
                max_length=1,
                verbose_name='Technique'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='temperature',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycTemperature1350, verbose_name='Temperature'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='use_run_precision',
            field=models.BooleanField(default=False, verbose_name='Use Run Precision'),
        ),
        migrations.AlterField(
            model_name='analysisresult',
            name='name',
            field=models.CharField(default='', max_length=64, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='instrument',
            name='kind',
            field=models.CharField(
                choices=[('1', '1cm³'), ('T', '10cm³'), ('H', '100cm³')],
                max_length=1,
                verbose_name='Configuration'
            ),
        ),
        migrations.AlterField(
            model_name='instrument',
            name='serial',
            field=models.CharField(max_length=8, verbose_name='Serial Number'),
        ),
        migrations.AlterField(
            model_name='instrument',
            name='thermal_expansion_um_per_mk',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycThermalExpansionInstrument,
                verbose_name='Chamber Thermal Expansion'
            ),
        ),
    ]
