# Generated by Django 3.0.5 on 2021-10-21 11:25

from django.db import migrations, models
import django.db.models.deletion
import mic_python_lib.rest_input
from mic_cpp import pycnometry


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0029_add_verbose_name_settings_calibration'),
    ]

    operations = [
        migrations.AlterField(
            model_name='calibration',
            name='ref_ball',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='ref_ball',
                to='pyc_sample.Insert'
            ),
        ),
        migrations.AddField(
            model_name='analysisparameters',
            name='cup',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='analysis_cup',
                to='pyc_sample.Insert',
                verbose_name='Cup'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='insert',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name='analysis_insert',
                to='pyc_sample.Insert',
                verbose_name='Insert'
            ),
        ),
        migrations.AddField(
            model_name='calibration',
            name='cup',
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='calibration_cup',
                to='pyc_sample.Insert'
            ),
        ),
        migrations.AlterField(
            model_name='calibration',
            name='ref_ball',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='calibration_ref_ball',
                to='pyc_sample.Insert'
            ),
        ),
        migrations.AddField(
            model_name='calibration',
            name='expansion_cup',
            field=models.OneToOneField(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='analysis_cup',
                to='pyc_sample.Expansion'
            ),
        ),
        migrations.RemoveField(
            model_name='insert',
            name='thermal_expansion',
        ),
        migrations.AddField(
            model_name='calibration',
            name='cal_cup',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='calibration',
            name='cup_name',
            field=models.CharField(
                blank=True, default='Default', max_length=8, verbose_name='Cup Name'
            ),
        ),
        migrations.AddField(
            model_name='calibration',
            name='cup_thermal_expansion_um_per_mk',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycThermalExpansionCup, verbose_name='Cup Thermal Expansion'
            ),
        ),
        migrations.AddField(
            model_name='insert',
            name='thermal_expansion_um_per_mk',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=pycnometry.DPycThermalExpansionInsert, verbose_name='Thermal Expansion'
            ),
            preserve_default=False,
        ),
    ]
