# Generated by Django 3.0.5 on 2022-02-18 20:20

from django.db import migrations
from mic_cpp.pycnometry import DPycRunPrecPercentFullScale
from mic_cpp.pycnometry import UPycCycle
from mic_cpp.pycnometry import DPycLength
from mic_cpp.pycnometry import UPycNumberOfSkins
from mic_cpp.pycnometry import UPycNumPurges
from mic_cpp.pycnometry import DPycPressureGauge
from mic_cpp.pycnometry import UPycNumberOfSkinsCube
from mic_cpp.pycnometry import UPycNumberOfPieces
from mic_cpp.pycnometry import UPycEquilDataPoints
from mic_cpp.pycnometry import UPycEquilDataCycles
from mic_cpp.pycnometry import DPycVolume
from mic_cpp.pycnometry import DPycActiveArea
from mic_cpp.pycnometry import DPycInsertVolume
from mic_cpp.pycnometry import DPycSampleMass
from mic_cpp.pycnometry import DPycDensity
from mic_cpp.pycnometry import DPycThermalExpansionCup
from mic_cpp.pycnometry import DPycThermalExpansionInstrument
from mic_cpp.pycnometry import UPycEquilTime
from mic_cpp.pycnometry import DPycThermalExpansionInsert
from mic_cpp.pycnometry import DPycEquilRate
from mic_cpp.pycnometry import DPycTemperature1350
import mic_python_lib.rest_input


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0041_two_step_rtd_calibration'),
    ]

    operations = [
        migrations.AlterField(
            model_name='analysisparameters',
            name='active_area',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycActiveArea),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='cell_diameter',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycLength),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='chord_length',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycLength),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='cube_edge_length',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycLength),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='cube_number_of_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=UPycNumberOfSkinsCube),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='cycle_fill_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycPressureGauge, verbose_name='Cycle Fill Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='cyl_number_of_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=UPycNumberOfSkins),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='cylinder_diameter',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycLength),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='cylinder_length',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycLength),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='equilibration_rate',
            field=mic_python_lib.rest_input.UnitsFloatField(
                blank=True, fmt=DPycEquilRate, null=True, verbose_name='Rate'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='final_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycPressureGauge, verbose_name='Final Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='fracture_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycPressureGauge, verbose_name='Fracture Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='geometric_volume',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycVolume),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='initial_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycPressureGauge, verbose_name='Initial Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='interval_time',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=UPycEquilTime, null=True, verbose_name='Interval'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='low_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycPressureGauge, verbose_name='Low Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='num_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=UPycCycle, verbose_name='Cycles'),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='num_purges',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                fmt=UPycNumPurges, verbose_name='Purges'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='number_of_pieces',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=UPycNumberOfPieces),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p1_equilibration_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=UPycEquilDataCycles, null=True, verbose_name='Record First'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p1_equilibration_points',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=UPycEquilDataPoints, null=True, verbose_name='Record Last'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p2_equilibration_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=UPycEquilDataCycles, null=True, verbose_name='Record First'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='p2_equilibration_points',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                blank=True, fmt=UPycEquilDataPoints, null=True, verbose_name='Record Last'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='pressure_increment',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycPressureGauge, verbose_name='Pressure Increment'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='purge_fill_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycPressureGauge, verbose_name='Purge Fill Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='rect_long_edge',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycLength),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='rect_number_of_large_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=UPycNumberOfSkins),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='rect_number_of_other_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=UPycNumberOfSkins),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='rect_number_of_small_skins',
            field=mic_python_lib.rest_input.UnitsIntegerField(fmt=UPycNumberOfSkins),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='rect_other_edge',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycLength),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='rect_short_edge',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycLength),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='resin_density',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycDensity, verbose_name='Cell Wall Density'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='run_precision_tolerance',
            field=mic_python_lib.rest_input.UnitsFloatField(
                blank=True,
                fmt=DPycRunPrecPercentFullScale,
                null=True,
                verbose_name='Percent Full Scale'
            ),
        ),
        migrations.AlterField(
            model_name='analysisparameters',
            name='temperature',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycTemperature1350, verbose_name='Temperature'
            ),
        ),
        migrations.AlterField(
            model_name='analysisresult',
            name='mass',
            field=mic_python_lib.rest_input.UnitsFloatField(fmt=DPycSampleMass),
        ),
        migrations.AlterField(
            model_name='calibration',
            name='cup_thermal_expansion_um_per_mk',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycThermalExpansionCup, verbose_name='Cup Thermal Expansion'
            ),
        ),
        migrations.AlterField(
            model_name='calibration',
            name='fill_pressure',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycPressureGauge, verbose_name='Fill Pressure'
            ),
        ),
        migrations.AlterField(
            model_name='insert',
            name='temperature',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycTemperature1350, verbose_name='Temperature'
            ),
        ),
        migrations.AlterField(
            model_name='insert',
            name='thermal_expansion_um_per_mk',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycThermalExpansionInsert, verbose_name='Thermal Expansion'
            ),
        ),
        migrations.AlterField(
            model_name='insert',
            name='volume',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycInsertVolume, verbose_name='Volume'
            ),
        ),
        migrations.AlterField(
            model_name='instrument',
            name='thermal_expansion_um_per_mk',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=DPycThermalExpansionInstrument, verbose_name='Chamber thermal expansion'
            ),
        ),
    ]
