# Generated by Django 3.1.2 on 2022-04-26 10:39

from django.db import migrations
import mic_cpp.pycnometry
import mic_python_lib.rest_input


def update_std_method(apps, schema_editor):
    AnalysisParameters = apps.get_model('pyc_sample', 'AnalysisParameters')
    try:
        # the default for the num_cycles has changed, but the "Standard" method was added and
        # num_cycles set to 1 in an earlier migration.  That migration did not mark it as the
        # default method however.  That is done programmatically later.  If all these are still
        # in place, update the cycles.
        prms = AnalysisParameters.objects.get(
            name='Standard', is_method=True, is_default=False, num_cycles=1
        )
        prms.num_cycles = 10
        prms.save()
    except AnalysisParameters.DoesNotExist:  # pragma: no cover
        pass


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0046_add_air_to_gastable'),
    ]

    operations = [
        migrations.AlterField(
            model_name='analysisparameters',
            name='num_cycles',
            field=mic_python_lib.rest_input.UnitsIntegerField(
                fmt=mic_cpp.pycnometry.UPycNumCycles, verbose_name='Cycles'
            ),
        ),
        migrations.RunPython(update_std_method),
    ]
