# Generated by Django 3.1.2 on 2022-04-18 13:42

from django.db import migrations, models
import mic_cpp.pycnometry
import mic_python_lib.rest_input
import pyc_sample.models


def copy_thermal_expansion(apps, schema_editor):
    Calibration = apps.get_model('pyc_sample', 'Calibration')
    for cal in Calibration.objects.all():
        cal.instrument_thermal_expansion_um_per_mk = cal.instrument.thermal_expansion_um_per_mk
        cal.save()


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0047_insert_methods_and_copy'),
    ]

    operations = [
        migrations.AddField(
            model_name='calibration',
            name='instrument_thermal_expansion_um_per_mk',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=mic_cpp.pycnometry.DPycThermalExpansionInstrument
            ),
        ),
        migrations.RunPython(copy_thermal_expansion),
        migrations.AlterField(
            model_name='calibration',
            name='cup_name',
            field=models.CharField(
                blank=True, default="Cup(???)", max_length=8, verbose_name='Cup Name'
            ),
        ),
    ]
