# Generated by Django 3.1.2 on 2022-04-29 14:08
import datetime
import pytz
from django.db import migrations


def insert_initial_data(apps, schema_editor):
    "Set the local instrument and settings objects."
    Instrument = apps.get_model('pyc_sample', 'Instrument')
    if len(Instrument.objects.all()) == 0:
        Instrument.objects.create(
            serial='0000',
            is_local=True,
            kind='T',
            is_temp_control=True,
            last_updated=datetime.datetime(2020, 1, 1, 0, 0, 0, 0, pytz.UTC)
        )
    Settings = apps.get_model('pyc_sample', 'Settings')
    if len(Settings.objects.all()) == 0:
        Settings.objects.create()


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0049_last_updated'),
    ]

    operations = [migrations.RunPython(insert_initial_data)]
