# Generated by Django 3.1.2 on 2022-05-17 12:12

from django.db import migrations, models
import django.db.models.deletion


def update_analysis_results(apps, schema_editor):
    AnalysisResult = apps.get_model('pyc_sample', 'AnalysisResult')
    AnalysisResult1350 = apps.get_model('pyc_sample', 'AnalysisResult1350')
    for res in AnalysisResult.objects.all():
        # from: https://stackoverflow.com/questions/4064808/django-model-inheritance-create-sub-instance-of-existing-instance-downcast
        res1350 = AnalysisResult1350(analysisresult_ptr=res)
        res1350.__dict__.update(res.__dict__)
        res1350.parameters = res.parameters_old
        res1350.calibration = res.calibration_old
        res1350.expansion = res.expansion_old
        res1350.expansion_repeat = res.expansion_repeat_old
        res1350.save()


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0050_initial_inst_settings'),
    ]

    operations = [
        migrations.RenameField(
            model_name='analysisresult',
            old_name='parameters',
            new_name='parameters_old',
        ),
        migrations.RenameField(
            model_name='analysisresult',
            old_name='calibration',
            new_name='calibration_old',
        ),
        migrations.RenameField(
            model_name='analysisresult',
            old_name='expansion',
            new_name='expansion_old',
        ),
        migrations.RenameField(
            model_name='analysisresult',
            old_name='expansion_repeat',
            new_name='expansion_repeat_old',
        ),
        migrations.CreateModel(
            name='AnalysisResult1350',
            fields=[
                (
                    'analysisresult_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to='pyc_sample.analysisresult'
                    )
                ),
                (
                    'parameters',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='pyc_sample.analysisparameters'
                    )
                ),
                (
                    'calibration',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.calibration'
                    )
                ),
                (
                    'expansion',
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='analysis',
                        to='pyc_sample.expansion'
                    )
                ),
                (
                    'expansion_repeat',
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='analysis_repeat',
                        to='pyc_sample.expansion'
                    )
                ),
            ],
            options={
                'ordering': ['-start_time'],
            },
            bases=('pyc_sample.analysisresult',),
        ),
        migrations.RunPython(update_analysis_results),
        migrations.RemoveField(
            model_name='analysisresult',
            name='calibration_old',
        ),
        migrations.RemoveField(
            model_name='analysisresult',
            name='expansion_old',
        ),
        migrations.RemoveField(
            model_name='analysisresult',
            name='expansion_repeat_old',
        ),
        migrations.RemoveField(
            model_name='analysisresult',
            name='parameters_old',
        ),
        migrations.AlterField(
            model_name='equilibration',
            name='analysis',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.analysisresult1350'
            ),
        ),
    ]
