# Generated by Django 3.1.2 on 2022-05-25 10:51

from django.db import migrations, models
import django.db.models.deletion
import mic_cpp.pycnometry
import mic_python_lib.rest_input


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0051_analysis_result_base'),
    ]

    operations = [
        migrations.CreateModel(
            name='Expansion1345',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                ('num', models.IntegerField()),
                ('times_binary', models.BinaryField()),
                ('volumes_binary', models.BinaryField()),
                ('p1s_binary', models.BinaryField(null=True)),
                ('p2s_binary', models.BinaryField(null=True)),
                ('excludes_binary', models.BinaryField()),
                ('temperatures_binary', models.BinaryField(null=True)),
            ],
        ),
        migrations.AlterField(
            model_name='analysisresult1350',
            name='parameters',
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.analysisparameters'
            ),
        ),
        migrations.CreateModel(
            name='AnalysisResult1345',
            fields=[
                (
                    'analysisresult_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to='pyc_sample.analysisresult'
                    )
                ),
                (
                    'technique',
                    models.CharField(
                        choices=[('P', 'Gas pycnometry'), ('A', 'Correction using cell dimensions'),
                                 ('B', 'Correction by recutting sample'), ('C', 'No Correction'),
                                 ('D', 'Compressibility test'), ('E', 'Cell fracture test')],
                        default='P',
                        max_length=1,
                        verbose_name='Technique'
                    )
                ),
                (
                    'temperature',
                    mic_python_lib.rest_input.UnitsFloatField(
                        fmt=mic_cpp.pycnometry.DPycTemperature1350
                    )
                ),
                (
                    'num_purges',
                    mic_python_lib.rest_input.UnitsIntegerField(
                        fmt=mic_cpp.pycnometry.UPycNumPurges
                    )
                ),
                (
                    'endby',
                    models.CharField(
                        choices=[('E', 'Rate'), ('F', 'Time')], default='E', max_length=1
                    )
                ),
                (
                    'interval_time',
                    mic_python_lib.rest_input.UnitsIntegerField(
                        blank=True, fmt=mic_cpp.pycnometry.UPycEquilTime, null=True
                    )
                ),
                (
                    'equilibration_rate',
                    mic_python_lib.rest_input.UnitsFloatField(
                        blank=True, fmt=mic_cpp.pycnometry.DPycEquilRate, null=True
                    )
                ),
                (
                    'resin_density',
                    mic_python_lib.rest_input.UnitsFloatField(fmt=mic_cpp.pycnometry.DPycDensity)
                ),
                (
                    'geometric_volume',
                    mic_python_lib.rest_input.UnitsFloatField(fmt=mic_cpp.pycnometry.DPycVolume)
                ),
                (
                    'active_area',
                    mic_python_lib.rest_input.UnitsFloatField(
                        fmt=mic_cpp.pycnometry.DPycActiveArea
                    )
                ),
                (
                    'measure_by',
                    models.CharField(
                        choices=[('L', 'Chord Length'), ('D', 'Cell Diameter')],
                        default='L',
                        max_length=1
                    )
                ),
                (
                    'chord_length',
                    mic_python_lib.rest_input.UnitsFloatField(fmt=mic_cpp.pycnometry.DPycLength)
                ),
                (
                    'cell_diameter',
                    mic_python_lib.rest_input.UnitsFloatField(fmt=mic_cpp.pycnometry.DPycLength)
                ),
                (
                    'expansion',
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='analysis',
                        to='pyc_sample.expansion1345'
                    )
                ),
                (
                    'expansion_repeat',
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='analysis_repeat',
                        to='pyc_sample.expansion1345'
                    )
                ),
            ],
            options={
                'ordering': ['-start_time'],
            },
            bases=('pyc_sample.analysisresult',),
        ),
    ]
