# Generated by Django 3.1.2 on 2022-08-05 17:43

from django.db import migrations, models
import mic_cpp.pycnometry
import mic_python_lib.rest_input


def copy_model_obj(model, obj, save=True):
    """Make a non method copy of the object obj can either be a model object, or an id integer"""
    obj = model.objects.get(id=obj.id if hasattr(obj, "id") else obj)
    obj.id = None
    obj.is_method = False
    obj.last_updated = None
    if save:
        obj.save()
    return obj


def fix_parameter_method_inserts(apps, schema_editor):
    AnalysisParameters = apps.get_model('pyc_sample', 'AnalysisParameters')
    Insert = apps.get_model('pyc_sample', 'Insert')
    for prm in AnalysisParameters.objects.filter(is_method=False):
        if prm.cup and prm.cup.is_method:
            prm.cup = copy_model_obj(Insert, prm.cup)
        if prm.insert and prm.insert.is_method:
            prm.insert = copy_model_obj(Insert, prm.insert)
        prm.save()


class Migration(migrations.Migration):

    dependencies = [
        ('mic_python_lib', '0019_add_sample_log'),
        ('pyc_sample', '0057_add_do_pre_purges'),
    ]

    operations = [
        migrations.RunPython(fix_parameter_method_inserts),
        migrations.AddField(
            model_name='analysisresult',
            name='sample_log',
            field=models.ManyToManyField(to='mic_python_lib.SampleLog'),
        ),
        migrations.AlterField(
            model_name='analysisresult',
            name='mass',
            field=mic_python_lib.rest_input.UnitsFloatField(
                fmt=mic_cpp.pycnometry.DPycSampleMass, verbose_name='Mass'
            ),
        ),
        migrations.AlterField(
            model_name='analysisresult',
            name='name',
            field=models.CharField(
                blank=True, default='', max_length=64, verbose_name='Description'
            ),
        ),
    ]
