# Generated by Django 3.1.2 on 2023-03-13 19:00

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import mic_cpp.pycnometry
import mic_python_lib.rest_input


class Migration(migrations.Migration):

    dependencies = [
        ('mic_python_lib', '0026_adjust_capitalizations'),
        ('pyc_sample', '0066_remove_cup_cal_from_volume_cal'),
    ]

    operations = [
        migrations.CreateModel(
            name='InsertMeasure',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name='ID'
                    )
                ),
                (
                    'state',
                    models.CharField(
                        choices=[('P', 'In Process'), ('C', 'Completed'), ('X', 'Canceled'),
                                 ('E', 'Error')],
                        default='P',
                        max_length=1
                    )
                ),
                (
                    'start_time',
                    models.DateTimeField(
                        default=django.utils.timezone.now, verbose_name='Start Time'
                    )
                ),
                ('end_time', models.DateTimeField(null=True)),
                (
                    'kind',
                    models.CharField(
                        choices=[('I', 'Insert'), ('C', 'Cup')], default='C', max_length=1
                    )
                ),
                (
                    'fill_pressure',
                    mic_python_lib.rest_input.UnitsFloatField(
                        fmt=mic_cpp.pycnometry.DPycPressureGauge, verbose_name='Fill Pressure'
                    )
                ),
                ('gas', models.CharField(max_length=16)),
                ('collection_temperature', models.FloatField(default=0.0)),
                (
                    'calibration',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.calibration'
                    )
                ),
                (
                    'created_insert',
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name='insertcal_created',
                        to='pyc_sample.insert'
                    )
                ),
                (
                    'expansion_fr',
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='insertcal_fill_reference',
                        to='pyc_sample.expansion'
                    )
                ),
                (
                    'expansion_fs',
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='insertcal_fill_sample',
                        to='pyc_sample.expansion'
                    )
                ),
                (
                    'instrument',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='pyc_sample.instrument'
                    )
                ),
                (
                    'multivolume_insert',
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name='insertcal_multivolume',
                        to='pyc_sample.insert'
                    )
                ),
                (
                    'ref_ball',
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name='insertcal_ref_ball',
                        to='pyc_sample.insert'
                    )
                ),
                ('results', models.ManyToManyField(to='mic_python_lib.Result')),
            ],
            options={
                'ordering': ['-start_time'],
            },
        ),
        migrations.AddConstraint(
            model_name='insertmeasure',
            constraint=models.UniqueConstraint(
                fields=('start_time', 'instrument'), name='insert_cal_id'
            ),
        ),
    ]
