# Generated by Django 3.1.2 on 2022-04-11 14:33

from django.db import migrations


def remove_ideal_to_gas(apps, schema_editor):
    Gas = apps.get_model('pyc_sample', 'Gas')
    AnalysisParameters = apps.get_model('pyc_sample', 'AnalysisParameters')
    ideal = Gas.objects.get(name='AccuPyc II Mode')
    he = Gas.objects.get(name='Helium')
    # switch all ideal gases in the analysis paramters to Helium.  There really should not be any
    # except for engineering test data so this is a non issue.
    for prms in AnalysisParameters.objects.filter(gas=ideal):
        prms.gas = he
        prms.save()
    ideal.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0070_other_operations'),
    ]

    operations = [
        migrations.RunPython(remove_ideal_to_gas),
    ]
