# Generated by Django 3.1.2 on 2023-05-08 12:10

from django.db import migrations, models

def set_material(apps, schema_editor):
    Instrument = apps.get_model('pyc_sample', 'Instrument')
    for inst in Instrument.objects.all():
        inst.material = "Al"
        inst.save()
    Insert = apps.get_model('pyc_sample', 'Insert')
    for insert in Insert.objects.all():
        insert.material = "ot"
        insert.save()


class Migration(migrations.Migration):

    dependencies = [
        ('pyc_sample', '0072_share_methods'),
    ]

    operations = [
        migrations.RenameField(
            model_name='insert',
            old_name='thermal_expansion_um_per_mk',
            new_name='other_expansion_um_per_mk',
        ),
        migrations.RenameField(
            model_name='instrument',
            old_name='thermal_expansion_um_per_mk',
            new_name='other_expansion_um_per_mk',
        ),
        migrations.AddField(
            model_name='insert',
            name='material',
            field=models.CharField(choices=[('Al', 'Aluminum'), ('SS', 'Stainless Steel'), ('TC', 'Tungsten Carbide'), ('ot', 'Other')], default='Al', max_length=2),
        ),
        migrations.AddField(
            model_name='instrument',
            name='material',
            field=models.CharField(choices=[('Al', 'Aluminum'), ('SS', 'Stainless Steel'), ('TC', 'Tungsten Carbide'), ('ot', 'Other')], default='Al', max_length=2),
        ),
        migrations.RunPython(set_material),
    ]
